<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="GuaranteeTransferByDistrict" pageWidth="842" pageHeight="595" orientation="Landscape" whenNoDataType="AllSectionsNoDetail" columnWidth="802" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="08bf102b-3dcc-4c44-99bd-809dad1cd3ba">
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<property name="net.sf.jasperreports.print.create.bookmarks" value="false"/>
	<parameter name="P_LANGUAGE" class="java.lang.String"/>
	<parameter name="P_SCREEN" class="java.lang.String"/>
	<parameter name="P_SYSTEM" class="java.lang.String"/>
	<parameter name="P_EMP_ID" class="java.lang.String"/>
	<parameter name="P_PRINT_NUMBER" class="java.lang.String"/>
	<parameter name="P_WATER_MARK" class="java.lang.String">
		<parameterDescription><![CDATA[]]></parameterDescription>
	</parameter>
	<parameter name="P_EMP_NAME" class="java.lang.String"/>
	<parameter name="P_DIST_ID" class="java.lang.String"/>
	<parameter name="P_START_DATE" class="java.util.Date"/>
	<parameter name="P_END_DATE" class="java.util.Date"/>
	<queryString>
		<![CDATA[select  DIST_DESC  ,SYSDATE AS CURRENT_DATE,
TO_CHAR(SYSDATE,'HH24:MI:SS')AS CURRENT_TIME
from mea_district where dist_id = $P{P_DIST_ID} and language_code  = $P{P_LANGUAGE}]]>
	</queryString>
	<field name="DIST_DESC" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="DIST_DESC"/>
	</field>
	<field name="CURRENT_DATE" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="CURRENT_DATE"/>
	</field>
	<field name="CURRENT_TIME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CURRENT_TIME"/>
	</field>
	<background>
		<band height="555">
			<textField isBlankWhenNull="true">
				<reportElement x="0" y="0" width="802" height="555" forecolor="#ABABAB" uuid="f414219b-c777-4bf7-9f59-8ad553467fe9">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle" rotation="None">
					<font fontName="TH SarabunPSK" size="98" isBold="true" isItalic="true"/>
					<paragraph lineSpacing="Single" leftIndent="0"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_WATER_MARK}]]></textFieldExpression>
			</textField>
		</band>
	</background>
	<pageHeader>
		<band height="67" splitType="Stretch">
			<textField>
				<reportElement x="230" y="0" width="340" height="16" uuid="044f937a-9ef2-487a-bf1c-289d4e0cfcc8"/>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{DIST_DESC}!=null?$F{DIST_DESC}:"-"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="0" y="16" width="50" height="16" uuid="73521b00-769b-472b-a6f0-04dcbaaf24db">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[ โปรแกรม :]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="0" width="50" height="16" uuid="940c3c9c-911c-4a8b-bb8a-90b07929380e">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[ ผู้ใช้ :]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="32" width="50" height="16" uuid="a16326e4-9644-462f-b7c7-bd836fdd579b">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[ ระบบ :]]></text>
			</staticText>
			<textField>
				<reportElement x="50" y="0" width="180" height="16" uuid="41fd8837-c4dc-4fe9-9019-713c7fe72fcf">
					<printWhenExpression><![CDATA[$P{P_EMP_ID}!=null]]></printWhenExpression>
				</reportElement>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_EMP_ID}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="50" y="16" width="180" height="16" uuid="0742fe46-d452-4602-bceb-383405cbc2b6"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_SCREEN}!=null?$P{P_SCREEN}:"-"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="50" y="32" width="180" height="16" uuid="9e21fa2f-0a76-44c2-ba33-99248a4d2ab7"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_SYSTEM}!=null?$P{P_SYSTEM}:"-"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="230" y="16" width="340" height="16" uuid="16ce0501-071c-481d-ba05-4efc5d63d17a"/>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA["รายงานตรวจสอบการโอนหลักประกัน"]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="663" y="32" width="56" height="16" uuid="dc2072e3-ae95-427a-884d-5271a8ca08d2">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[หน้า :]]></text>
			</staticText>
			<staticText>
				<reportElement x="663" y="16" width="56" height="16" uuid="5cea4c13-baa1-49de-ad30-ec127edcfe12">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[เวลา :]]></text>
			</staticText>
			<textField evaluationTime="Master">
				<reportElement x="720" y="32" width="82" height="16" uuid="28150763-0acf-404e-b7d9-ea5afc59a454"/>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[msg("{0} / {1}", $V{MASTER_CURRENT_PAGE}, $V{MASTER_TOTAL_PAGES})]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement x="663" y="0" width="56" height="16" uuid="aae02a58-e8a0-4489-89a5-4253f97f5334"/>
				<textElement textAlignment="Left">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<text><![CDATA[วันที่ :]]></text>
			</staticText>
			<textField>
				<reportElement x="720" y="0" width="82" height="16" uuid="84768a9a-2eed-455a-a5c9-7fa297732975"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CURRENT_DATE}!=null?  th.ac.ku.oss.util.DateUtil.getDateAsString($F{CURRENT_DATE},"dd/MM/yyyy"):"-"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="720" y="16" width="82" height="16" uuid="88a40ac6-bdfe-4da4-856a-f9cc044ea5ca"/>
				<textElement>
					<font fontName="TH SarabunPSK" size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{CURRENT_TIME}!=null?$F{CURRENT_TIME}:"-"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="230" y="32" width="340" height="16" uuid="d8c68878-a5e6-4b07-8379-d3cff435a187"/>
				<textElement textAlignment="Center">
					<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
				</textElement>
				<textFieldExpression><![CDATA[($P{P_START_DATE}!=null?"วันที่ขอโอนหลักประกันตั้งแต่  ":"")+( $P{P_START_DATE} !=null?   th.ac.ku.oss.util.DateUtil.getDateAsString($P{P_START_DATE},"dd/MM/yyyy"):"")
+( $P{P_END_DATE} !=null?   "  ถึงวันที่  ":"")+
( $P{P_END_DATE} !=null?  th.ac.ku.oss.util.DateUtil.getDateAsString($P{P_END_DATE},"dd/MM/yyyy"):"")]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="35" splitType="Stretch">
			<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
			<frame>
				<reportElement x="0" y="0" width="802" height="35" uuid="c2f6d474-c398-4ed6-97f4-b7bb6a9a5bf6">
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
					<bottomPen lineWidth="1.0"/>
				</box>
				<staticText>
					<reportElement x="0" y="2" width="90" height="16" uuid="9fa5bb9a-f997-45e3-860f-5f1a2d6137b3">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ เลขรับเรื่อง]]></text>
				</staticText>
				<staticText>
					<reportElement x="90" y="2" width="80" height="16" uuid="6717e984-f3b9-4fc2-a639-3390f311d6fb">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ วันที่รับเรื่อง]]></text>
				</staticText>
				<staticText>
					<reportElement x="170" y="2" width="80" height="16" uuid="54d3ddc0-19c8-4501-96a3-9a903d8e49ff">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ วันที่ขออนุมัติ]]></text>
				</staticText>
				<staticText>
					<reportElement x="250" y="2" width="80" height="16" uuid="8e3a3e05-a2fe-45c0-abaa-cc78cbd682fc">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ วันที่อนุมัติ]]></text>
				</staticText>
				<staticText>
					<reportElement x="330" y="2" width="200" height="16" uuid="4a600f98-8ce6-4350-a012-6daca65336e4">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ เหตุผลการโอนหลักประกัน]]></text>
				</staticText>
				<staticText>
					<reportElement x="220" y="18" width="130" height="16" uuid="015c73f0-33df-459e-aafe-29ed990840ce">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ ชื่อลูกค้าผู้รับโอน]]></text>
				</staticText>
				<staticText>
					<reportElement x="530" y="2" width="110" height="16" uuid="b75c4c01-3acb-4bd2-af5f-cee9bd566865">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ บัญชีแสดงสัญญาผู้โอน]]></text>
				</staticText>
				<staticText>
					<reportElement x="640" y="2" width="162" height="16" uuid="2903429f-8460-4735-b089-1f3e40630e5b">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ รหัสเครื่องวัดผู้โอน]]></text>
				</staticText>
				<staticText>
					<reportElement x="350" y="18" width="130" height="16" uuid="a816ddf7-55ea-48f7-b610-c426021ac64f">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ เลขหลักประกันผู้รับโอน]]></text>
				</staticText>
				<staticText>
					<reportElement x="480" y="18" width="322" height="16" uuid="92a8eebc-fdae-4c0a-8599-c612c39064fb">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ ชื่อเจ้าของหลักประกันผู้รับโอน]]></text>
				</staticText>
				<staticText>
					<reportElement x="90" y="18" width="130" height="16" uuid="aa1459f2-caec-48c3-bd6d-3d23b8d41896">
						<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
					</reportElement>
					<textElement textAlignment="Left" verticalAlignment="Top">
						<font fontName="TH SarabunPSK" size="14" isBold="false" pdfEncoding="Identity-H"/>
					</textElement>
					<text><![CDATA[ รหัสลูกค้าผู้รับโอน]]></text>
				</staticText>
			</frame>
		</band>
	</columnHeader>
	<detail>
		<band height="20" splitType="Stretch">
			<property name="com.jaspersoft.studio.layout" value="com.jaspersoft.studio.editor.layout.FreeLayout"/>
			<subreport>
				<reportElement x="0" y="0" width="802" height="20" uuid="1d736b59-da65-4cdd-9045-7d6c3cc3eba9"/>
				<subreportParameter name="P_LANGUAGE">
					<subreportParameterExpression><![CDATA[$P{P_LANGUAGE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_DIST_ID">
					<subreportParameterExpression><![CDATA[$P{P_DIST_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_START_DATE">
					<subreportParameterExpression><![CDATA[$P{P_START_DATE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_END_DATE">
					<subreportParameterExpression><![CDATA[$P{P_END_DATE}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA["GuaranteeTransferByDistrictSubReport.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
	<pageFooter>
		<band height="23">
			<frame>
				<reportElement x="0" y="3" width="802" height="20" uuid="67f75ac8-649c-4854-9774-3af49fb07534">
					<property name="com.jaspersoft.studio.unit.y" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.width" value="pixel"/>
					<property name="com.jaspersoft.studio.unit.height" value="pixel"/>
				</reportElement>
				<box>
					<topPen lineWidth="1.0"/>
				</box>
				<staticText>
					<reportElement x="0" y="0" width="60" height="20" uuid="d789282e-2c7c-4f48-af00-80b5a18419d5">
						<property name="com.jaspersoft.studio.unit.y" value="pixel"/>
					</reportElement>
					<textElement>
						<font fontName="TH SarabunPSK" size="14"/>
					</textElement>
					<text><![CDATA[ชื่อผู้พิมพ์ :]]></text>
				</staticText>
				<textField>
					<reportElement x="60" y="0" width="742" height="20" uuid="a3451c41-acd0-4ce3-8afd-90831dd36acf">
						<printWhenExpression><![CDATA[$P{P_EMP_NAME}!=null]]></printWhenExpression>
					</reportElement>
					<textElement>
						<font fontName="TH SarabunPSK" size="14"/>
					</textElement>
					<textFieldExpression><![CDATA[$P{P_EMP_NAME}]]></textFieldExpression>
				</textField>
			</frame>
		</band>
	</pageFooter>
</jasperReport>
